%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define module  shove

Name:           python-shove
Version:        0.1.3
Release:        2%{?dist}
Summary:        Common object storage frontend

Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/shove/
Source0:        http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

# Patch to remove ez_install insanity
Patch0:         %{name}-%{version}-setup.patch

BuildRequires:  python-devel
Requires:       python-boto
Requires:       python-sqlalchemy

%description
Common object storage frontend that supports dictionary-style access, object
serialization and compression, and multiple storage and caching backends.

Currently supported storage backends are:

        * Amazon S3 Web Service
        * Berkeley Source Database
        * Filesystem
        * Firebird
        * FTP
        * DBM
        * Durus
        * Memory
        * Microsoft SQL Server
        * MySQL
        * Oracle
        * PostgreSQL
        * SQLite
        * Subversion
        * Zope Object Database (ZODB)

Currently supported caching backends are:

        * Filesystem
        * Firebird
        * memcached
        * Memory
        * Microsoft SQL Server
        * MySQL
        * Oracle
        * PostgreSQL
        * SQLite


%prep
%setup -q -n %{module}-%{version}
%patch0 -b .setup


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/*


%changelog
* Tue Jan 06 2009 Luke Macken <lmacken@redhat.com> 0.1.3-2
- Use consistent macros
- Add comment about patch
- Make rpmlint happy

* Tue Dec 16 2008 Luke Macken <lmacken@redhat.com> 0.1.3-1
- Initial package
